## subtitleoverlay

subtitleoverlay — Overlays a video stream with subtitles

## Synopsis

    struct              GstSubtitleOverlay;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----GstSubtitleOverlay

## Implemented Interfaces

GstSubtitleOverlay implements GstChildProxy.

## Properties

      "font-desc"                gchar*                : Read / Write
      "silent"                   gboolean              : Read / Write
      "subtitle-encoding"        gchar*                : Read / Write

## Description

GstBin that auto-magically overlays a video stream with subtitles by autoplugging the required elements.

It supports raw, timestamped text, different textual subtitle formats and DVD subpicture subtitles.

### Examples

    1

    gst-launch -v filesrc location=test.mkv ! matroskademux name=demux ! "video/x-h264" ! queue2 ! decodebin2 ! subtitleoverlay name=overlay ! ffmpegcolorspace ! autovideosink  demux. ! "video/x-dvd-subpicture" ! queue2 ! overlay.

This will play back the given Matroska file with h264 video and subpicture subtitles.

## Synopsis

### Element Information

plugin | playback
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Video/Overlay/Subtitle

### Element Pads

name | subtitle_sink
direction | sink
presence | always
details | ANY

name | video_sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstSubtitleOverlay

    struct GstSubtitleOverlay;

## Property Details

### The `"font-desc"` property

      "font-desc"                gchar*                : Read / Write

Pango font description of font to be used for subtitle rendering.

Default value: NULL

### The `"silent"` property

      "silent"                   gboolean              : Read / Write

Whether to show subtitles.

Default value: FALSE

### The `"subtitle-encoding"` property

      "subtitle-encoding"        gchar*                : Read / Write

Encoding to assume if input subtitles are not in UTF-8 encoding. If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

Default value: NULL